function business_lawyer_firm_openNav() {
  jQuery(".sidenav").addClass('show');
}
function business_lawyer_firm_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function business_lawyer_firm_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const business_lawyer_firm_nav = document.querySelector( '.sidenav' );

      if ( ! business_lawyer_firm_nav || ! business_lawyer_firm_nav.classList.contains( 'show' ) ) {
        return;
      }

      const elements = [...business_lawyer_firm_nav.querySelectorAll( 'input, a, button' )],
        business_lawyer_firm_lastEl = elements[ elements.length - 1 ],
        business_lawyer_firm_firstEl = elements[0],
        business_lawyer_firm_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && business_lawyer_firm_lastEl === business_lawyer_firm_activeEl ) {
        e.preventDefault();
        business_lawyer_firm_firstEl.focus();
      }

      if ( shiftKey && tabKey && business_lawyer_firm_firstEl === business_lawyer_firm_activeEl ) {
        e.preventDefault();
        business_lawyer_firm_lastEl.focus();
      }
    } );
  }
  business_lawyer_firm_keepFocusInMenu();
} )( window, document );

var btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});

btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
  var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
      margin: 0,
      nav: false,
      autoplay:true,
      autoplayTimeout:3000,
      autoplayHoverPause:true,
      loop: true,
      dots:false,
      rtl:true,
      navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
          items: 1
        },
        600: {
          items: 1
        },
        1024: {
          items: 1
      }
    }
  })
    window.addEventListener('load', (event) => {
    jQuery(".loading").delay(2000).fadeOut("slow");
  });
})

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.navigation_header').attr('data-sticky');
  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.navigation_header').addClass("stick_header");
    } else {
      jQuery('.navigation_header').removeClass("stick_header");
    }
  }
});
